com.fasterxml.jackson.dataformat.xml.util

## Class XmlInfo

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.XmlInfo

    public class XmlInfo
    extends Object

Helper container class used to contain XML specific information we need to retain to construct proper bean serializer

### Field Summary

Fields
`protected boolean` `_isAttribute`
`protected boolean` `_isCData`
`protected boolean` `_isText`
`protected String` `_namespace`

### Constructor Summary

Constructors
Constructor and Description
`XmlInfo(Boolean isAttribute, String ns, Boolean isText, Boolean isCData)`

### Method Summary

Methods
`String` `getNamespace()`
`boolean` `isAttribute()`
`boolean` `isCData()`
`boolean` `isText()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _namespace

    protected final String _namespace

#### _isAttribute

    protected final boolean _isAttribute

#### _isText

    protected final boolean _isText

#### _isCData

    protected final boolean _isCData

### Constructor Detail

#### XmlInfo

    public XmlInfo(Boolean isAttribute,
           String ns,
           Boolean isText,
           Boolean isCData)

### Method Detail

#### getNamespace

    public String getNamespace()

#### isAttribute

    public boolean isAttribute()

#### isText

    public boolean isText()

#### isCData

    public boolean isCData()